Press Releases
curl --request GET \
--url 'https://api.benzinga.com/api/v2/news?token=' \
--header 'accept: <accept>'import requests
url = "https://api.benzinga.com/api/v2/news?token="
headers = {"accept": "<accept>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {accept: '<accept>'}};
fetch('https://api.benzinga.com/api/v2/news?token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.benzinga.com/api/v2/news?token=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"accept: <accept>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.benzinga.com/api/v2/news?token="
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("accept", "<accept>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.benzinga.com/api/v2/news?token=")
.header("accept", "<accept>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.benzinga.com/api/v2/news?token=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = '<accept>'
response = http.request(request)
puts response.read_body[
{
"id": 36444586,
"author": "GlobeNewswire",
"created": "Mon, 01 Jan 2024 13:35:14 -0400",
"updated": "Mon, 01 Jan 2024 13:35:15 -0400",
"title": "Company XYZ Announces Q4 2023 Earnings Results and Strategic Initiatives",
"teaser": "",
"body": "",
"url": "https://www.benzinga.com/pressreleases/24/01/g36444586/company-xyz-announces-q4-2023-earnings-results-and-strategic-initiatives",
"image": [
{
"size": "thumb",
"url": "https://cdn.benzinga.com/files/imagecache/250x187xUP/images/story/2023/press_release_image.jpeg"
},
{
"size": "small",
"url": "https://cdn.benzinga.com/files/imagecache/1024x768xUP/images/story/2023/press_release_image.jpeg"
},
{
"size": "large",
"url": "https://cdn.benzinga.com/files/imagecache/2048x1536xUP/images/story/2023/press_release_image.jpeg"
}
],
"channels": [
{
"name": "Press Releases"
}
],
"stocks": [
{
"name": "AAPL",
"cusip": "037833100",
"isin": "US0378331005",
"exchange": "NASDAQ"
}
],
"tags": [
{
"name": "Press Release"
}
]
}
]
{
"ok": false,
"errors": [
{
"code": "auth_failed",
"id": "unauthorized",
"value": "Invalid or missing authentication token"
}
]
}
{
"ok": false,
"errors": [
{
"code": "no_data_found",
"id": "not_found",
"value": "No data found for the specified parameters"
}
]
}
{
"ok": false,
"errors": [
{
"code": "internal_server_error",
"id": "server_error",
"value": "An unexpected error occurred while processing your request"
}
]
}
Press Releases
Press Releases
This REST API returns structured data for press releases. For optimal performance, limit the scope of the query using parameters such as tickers, date, and channels, or use updatedSince for deltas. Page offsets are limited from 0 - 100000.
GET
/
api
/
v2
/
news
Press Releases
curl --request GET \
--url 'https://api.benzinga.com/api/v2/news?token=' \
--header 'accept: <accept>'import requests
url = "https://api.benzinga.com/api/v2/news?token="
headers = {"accept": "<accept>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {accept: '<accept>'}};
fetch('https://api.benzinga.com/api/v2/news?token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.benzinga.com/api/v2/news?token=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"accept: <accept>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.benzinga.com/api/v2/news?token="
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("accept", "<accept>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.benzinga.com/api/v2/news?token=")
.header("accept", "<accept>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.benzinga.com/api/v2/news?token=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = '<accept>'
response = http.request(request)
puts response.read_body[
{
"id": 36444586,
"author": "GlobeNewswire",
"created": "Mon, 01 Jan 2024 13:35:14 -0400",
"updated": "Mon, 01 Jan 2024 13:35:15 -0400",
"title": "Company XYZ Announces Q4 2023 Earnings Results and Strategic Initiatives",
"teaser": "",
"body": "",
"url": "https://www.benzinga.com/pressreleases/24/01/g36444586/company-xyz-announces-q4-2023-earnings-results-and-strategic-initiatives",
"image": [
{
"size": "thumb",
"url": "https://cdn.benzinga.com/files/imagecache/250x187xUP/images/story/2023/press_release_image.jpeg"
},
{
"size": "small",
"url": "https://cdn.benzinga.com/files/imagecache/1024x768xUP/images/story/2023/press_release_image.jpeg"
},
{
"size": "large",
"url": "https://cdn.benzinga.com/files/imagecache/2048x1536xUP/images/story/2023/press_release_image.jpeg"
}
],
"channels": [
{
"name": "Press Releases"
}
],
"stocks": [
{
"name": "AAPL",
"cusip": "037833100",
"isin": "US0378331005",
"exchange": "NASDAQ"
}
],
"tags": [
{
"name": "Press Release"
}
]
}
]
{
"ok": false,
"errors": [
{
"code": "auth_failed",
"id": "unauthorized",
"value": "Invalid or missing authentication token"
}
]
}
{
"ok": false,
"errors": [
{
"code": "no_data_found",
"id": "not_found",
"value": "No data found for the specified parameters"
}
]
}
{
"ok": false,
"errors": [
{
"code": "internal_server_error",
"id": "server_error",
"value": "An unexpected error occurred while processing your request"
}
]
}
[
{
"id": 36444586,
"author": "GlobeNewswire",
"created": "Mon, 01 Jan 2024 13:35:14 -0400",
"updated": "Mon, 01 Jan 2024 13:35:15 -0400",
"title": "Company XYZ Announces Q4 2023 Earnings Results and Strategic Initiatives",
"teaser": "",
"body": "",
"url": "https://www.benzinga.com/pressreleases/24/01/g36444586/company-xyz-announces-q4-2023-earnings-results-and-strategic-initiatives",
"image": [
{
"size": "thumb",
"url": "https://cdn.benzinga.com/files/imagecache/250x187xUP/images/story/2023/press_release_image.jpeg"
},
{
"size": "small",
"url": "https://cdn.benzinga.com/files/imagecache/1024x768xUP/images/story/2023/press_release_image.jpeg"
},
{
"size": "large",
"url": "https://cdn.benzinga.com/files/imagecache/2048x1536xUP/images/story/2023/press_release_image.jpeg"
}
],
"channels": [
{
"name": "Press Releases"
}
],
"stocks": [
{
"name": "AAPL",
"cusip": "037833100",
"isin": "US0378331005",
"exchange": "NASDAQ"
}
],
"tags": [
{
"name": "Press Release"
}
]
}
]
{
"ok": false,
"errors": [
{
"code": "auth_failed",
"id": "unauthorized",
"value": "Invalid or missing authentication token"
}
]
}
{
"ok": false,
"errors": [
{
"code": "no_data_found",
"id": "not_found",
"value": "No data found for the specified parameters"
}
]
}
{
"ok": false,
"errors": [
{
"code": "internal_server_error",
"id": "server_error",
"value": "An unexpected error occurred while processing your request"
}
]
}
Authorizations
Headers
Query Parameters
Response
success
Was this page helpful?